DynamicJava Javadoc: Interface ClassInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Interface ClassInfo

All Known Implementing Classes:
  TreeClassInfo, JavaClassInfo

public interface ClassInfo

The instances of the classes that implement this interface provide informations about classes.

Method Summary
`ClassInfo` | `getAnonymousDeclaringClass()` Returns the declaring class of an anonymous class or null
`ClassInfo` | `getArrayType()` Returns the array type that contains elements of this class
`ClassInfo` | `getComponentType()` Returns the component type of this array type
`ConstructorInfo[]` | `getConstructors()` Returns the constructor infos for the current class
`ClassInfo[]` | `getDeclaredClasses()` Returns the classes and interfaces declared as members of the class represented by this ClassInfo object.
`ClassInfo` | `getDeclaringClass()` Returns the declaring class or null
`FieldInfo[]` | `getFields()` Returns the field infos for the current class
`ClassInfo[]` | `getInterfaces()` Returns the class infos of the interfaces implemented by the class this info represents
`java.lang.Class` | `getJavaClass()` Returns the underlying class
`MethodInfo[]` | `getMethods()` Returns the method infos for the current class
`int` | `getModifiers()` Returns the modifiers flags
`java.lang.String` | `getName()` Returns the fully qualified name of the underlying class
`ClassInfo` | `getSuperclass()` Returns the class info of the superclass of the class represented by this info
`boolean` | `isArray()` Whether this object represents an array
`boolean` | `isCompilable()` Whether the underlying class needs compilation
`boolean` | `isInterface()` Whether this object represents an interface
`boolean` | `isPrimitive()` Whether this object represents a primitive type
`void` | `setCompilable(boolean b)` Sets the compilable property

Method Detail

### getJavaClass

    public java.lang.Class getJavaClass()

  Returns the underlying class

### isCompilable

    public boolean isCompilable()

  Whether the underlying class needs compilation

### setCompilable

    public void setCompilable(boolean b)

  Sets the compilable property

### getDeclaringClass

    public ClassInfo getDeclaringClass()

  Returns the declaring class or null

### getAnonymousDeclaringClass

    public ClassInfo getAnonymousDeclaringClass()

  Returns the declaring class of an anonymous class or null

### getModifiers

    public int getModifiers()

  Returns the modifiers flags

### getName

    public java.lang.String getName()

  Returns the fully qualified name of the underlying class

### getSuperclass

    public ClassInfo getSuperclass()

  Returns the class info of the superclass of the class represented by this info

### getInterfaces

    public ClassInfo[] getInterfaces()

  Returns the class infos of the interfaces implemented by the class this info represents

### getFields

    public FieldInfo[] getFields()

  Returns the field infos for the current class

### getConstructors

    public ConstructorInfo[] getConstructors()

  Returns the constructor infos for the current class

### getMethods

    public MethodInfo[] getMethods()

  Returns the method infos for the current class

### getDeclaredClasses

    public ClassInfo[] getDeclaredClasses()

  Returns the classes and interfaces declared as members of the class represented by this ClassInfo object.

### getArrayType

    public ClassInfo getArrayType()

  Returns the array type that contains elements of this class

### isInterface

    public boolean isInterface()

  Whether this object represents an interface

### isArray

    public boolean isArray()

  Whether this object represents an array

### isPrimitive

    public boolean isPrimitive()

  Whether this object represents a primitive type

### getComponentType

    public ClassInfo getComponentType()

  Returns the component type of this array type
  Throws:
    `java.lang.IllegalStateException` - if this type do not represent an array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.